## ros-melodic-rosserial-python 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_python)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

catkin_install_python(
  PROGRAMS nodes/message_info_service.py nodes/serial_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rosserial-python (0.8.0-0stretch) stretch; urgency=high

  * fix no attribute message_cache issue in message_info_service (#393 <https://github.com/ros-drivers/rosserial/issues/393>)
  * Added service to force an Arduino hard reset in serial_node.py (#349 <https://github.com/ros-drivers/rosserial/issues/349>)
    * Added hard_reset service call to serial_node
    * Refactored SerialClient to use a write thread, working around deadlock when both Arduino and serial_node.py get stuck writing to each other.
    * Updated cmakelists and package.xml to include dependencies. Removed unnecessary tcp functionality from arduino-specific serial_node.py
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * [python] fix an unboundlocalerror (#346 <https://github.com/ros-drivers/rosserial/issues/346>)
  * Retry opening the serial port every 3 seconds (#342 <https://github.com/ros-drivers/rosserial/issues/342>)
    * Retry opening the serial port every 3 seconds
    * Break out of the retry loop if we've been shut down
  * Contributors: Chris Spencer, Kenta Yonekura, Pikrass, dlguo-cpr

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-python (0.7.7-0stretch) stretch; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Add requestTopics to correct publish before setup (#308 <https://github.com/ros-drivers/rosserial/issues/308>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-python (0.7.6-0stretch) stretch; urgency=high

  * Fix typo in serial error message (#253 <https://github.com/ros-drivers/rosserial/issues/253>)
  * Contributors: Jonathan Binney

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-python (0.7.5-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-python (0.7.4-0stretch) stretch; urgency=high

  * Try to read more serial bytes in a loop (#248 <https://github.com/ros-drivers/rosserial/issues/248>)
  * Add missing "import errno" to rosserial_python
  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * rosserial_python tcp server allowing socket address reuse (#242 <https://github.com/ros-drivers/rosserial/issues/242>)
  * Contributors: Mike Purvis, Vitor Matos, davidshin172

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.2-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-python (0.7.0-0stretch) stretch; urgency=high

  * Adds default queue_size of 10 for rosserial_python publisher.
  * Fixed queue size warning with diagnostics publisher.
  * We don't need roslib.load_manifest any more under catkin.
  * Contributors: Basheer Subei, David Lavoie-Boutin, Mike Purvis, eisoku9618

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-python (0.6.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-python (0.6.2-0stretch) stretch; urgency=high

  * Added MD5 verification for request and response messags upon ServiceClient registration.
  * Enabled registration of service clients
  * Contributors: Jonathan Jekir

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.6.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.6.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.5.6-0stretch) stretch; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * Added the missing inWaiting() to RosSerialServer
  * improvement: inform user of mismatched checksum for topic_id and msg
  * Fix indent on if-block.
  * Check for data in buffer before attempting to tryRead. Insert a 1ms sleep to avoid pegging the processor.
  * Better warning message for tryRead.
  * fix two points: 1. the number of bytes to read for chk_byte, 2. the wrong indentation about the defination of sendDiagnostics()
  * Try-block to handle IOErrors thrown from tryRead
  * Merge from hydro-devel.
  * fix the dupilcated registration problem of subscriber
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification. fix the dupilcated registration problem of subscriber
  * modified rosserial
  * modified rosserial
  * Contributors: Girts Linde, Mike Purvis, Moju Zhao, bakui, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.5.5-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-melodic-rosserial-python (0.5.4-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-melodic-rosserial-python (0.5.3-0stretch) stretch; urgency=high

  * De-register subscribers and service clients upon disconnect.
    This prevents callbacks being called after a client program
    terminates a connection.


=== debian/control ===
Source: ros-melodic-rosserial-python
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/rosserial_python
Standards-Version: 3.9.2

Package: ros-melodic-rosserial-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-melodic-diagnostic-msgs, ros-melodic-rospy, ros-melodic-rosserial-msgs
Description: A Python-based implementation of the rosserial protocol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosserial-python//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
